/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.introspection.impl.contract;

import java.lang.reflect.Method;

import org.fabric3.host.contribution.ValidationFailure;

/**
 * Indicates that a service contract specification contains an overloaded method.
 *
 * @version $Rev: 6368 $ $Date: 2008-12-29 16:30:06 -0800 (Mon, 29 Dec 2008) $
 */
public class OverloadedOperation extends ValidationFailure {
    private Method method;

    public OverloadedOperation(Method method) {
        super();
        this.method = method;
    }

    public String getMessage() {
        return "Overloaded operation not allowed on remotable interface: " + method;
    }

}
